Subject: [I2nsf] Narrowing down the scope of work for the I2NSF Re-Chartering

From: Linda Dunbar <[email-masked]>
Date: Wed, 30 Mar 2022 17:10:19 +0000

I2NSF Rechartering Proponents,

I re-read all the emails exchanged about I2NSF Re-Chartering plus the discussion minutes at IETF113, I concluded the 2 key points:

  *   The proposed Rechartered work is too broad, the scope of work is to wide,
  *   We don't have enough people and expertise to cover all the proposed work.

Therefore I would like to suggest prioritizing the work items based on available expertise, and choose the highest 3~4 work items for the I2NSF rechartering.

With the current available expertise among the I2NSF participants, we can confidently tackle the following work items. Therefore I think they should be high on the priority list of the rechartering.

  *   Work around the remote attestation of NSF in I2NSF architecture, including the YANG Data Model.
  *   Add the support recently developed protocols such as QUIC and HTTP/3.
  *   Develop the YANG module of IPsec policies to functions embedded in nodes running BGP.

For the proposed work item of the Interface tot eh Data Analysis Entities, I am wondering if the work is similar to the draft-ietf-i2nsf-nsf-monitoring-data-model?

For the proposed work item of "controlling container deployments in Cloud Native NFV architecture", I am not sure how different between the "Interface to NSF" vs. the "interface to Container".

Can you please chime in to express your opinion?

Thank you
Linda

From: I2nsf <[email-masked]> On Behalf Of Mr. Jaehoon Paul Jeong
Sent: Thursday, March 24, 2022 2:38 AM
To: [email-masked]
Cc: Roman Danyliw <[email-masked]>; Panwei (William) <[email-masked]>; Henk Birkholz <[email-masked]>; tom petch <[email-masked]>; yangpenglin <[email-masked]>; Susan Hares <[email-masked]>; DIEGO LOPEZ GARCIA <[email-masked]>
Subject: [I2nsf] Request for Comments, Interest and Support in I2NSF Re-Chartering

Hi I2NSF WG,
As you know, our I2NSF WG will discuss the I2NSF Re-Chartering
at IETF-113 I2NSF WG Session today.

I attach the text of the re-chartering as pdf and txt files.

Our five core I2NSF YANG data model drafts are almost completed.
------------------------------------------------------------------------------------
1. Capability YANG Data Model
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-capability-data-model-27<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-capability-data-model-27&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cb9cf4db729f0405e0f3f08da0d698172%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837044263961549%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=eMxzolXRjEgy2inUC0hMEa1ev3fHmIPXa5f%2BiL3CTOk%3D&reserved=0>

2. NSF-Facing Interface YANG Data Model
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-nsf-facing-interface-dm-22<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-nsf-facing-interface-dm-22&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cb9cf4db729f0405e0f3f08da0d698172%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837044263961549%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=ehBg1iXMG99aadoR4Q9uTIQFVWQhXk6pqUoZgG0famk%3D&reserved=0>

3. Monitoring Interface YANG Data Model
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-nsf-monitoring-data-model-16<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-nsf-monitoring-data-model-16&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cb9cf4db729f0405e0f3f08da0d698172%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837044263961549%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=InLGFZfSPj5L4unhMa43QK%2F5cNWzojVDBVXEQIACFYo%3D&reserved=0>

4. Consumer-Facing Interface YANG Data Model
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-consumer-facing-interface-dm-17<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-consumer-facing-interface-dm-17&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cb9cf4db729f0405e0f3f08da0d698172%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837044263961549%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=rg0WNbzaS0anOG6cuG16zGzKLFIn8RIPTa%2BLmZX5ZqM%3D&reserved=0>

5. Registration Interface YANG Data Model
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-registration-interface-dm-15<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-registration-interface-dm-15&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cb9cf4db729f0405e0f3f08da0d698172%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837044263961549%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=IPGC5Q399i%2FoMWpCxa3wcL0NydFA9IVqyef90QA%2BJR0%3D&reserved=0>
------------------------------------------------------------------------------------

The three of them (i.e., 1, 2, and 3) got the feedback of the IESG and
the revisions have been sent to the IESG reviewers.

The remaining two (i.e., 4, 5) are well-synchronized with the others.
I will present the updates of them today's I2NSF WG.
I attach the slides for them for your easy checking.

Our AD Roman has concerns about the low energy of our I2NSF WG for the new
work items in the I2NSF Re-chartering.

Could you speak up your voice about your comments, interest, and support of our I2NSF Re-Chartering?

See you online at IETF-113 I2NSF WG Session today.

Thanks.

Best Regards,
Paul
--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department Head
Department of Computer Science and Engineering
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fcpslab.skku.edu%2Fpeople-jaehoon-jeong.php&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cb9cf4db729f0405e0f3f08da0d698172%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837044263961549%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=7WW6EBf1kV88BqMsLa6tFg5TrN0%2FE9wDBMTrvYrSaFM%3D&reserved=0>